test-framework-hunit-0.3.0.2: HUnit support for the test-framework package.

Safe Haskell | Safe
Language | Haskell98

Test.Framework.Providers.HUnit

Description

Allows HUnit test cases to be used with the test-framework package.

For an example of how to use test-framework, please see http://github.com/batterseapower/test-framework/raw/master/example/Test/Framework/Example.lhs

Synopsis

- testCase :: TestName -> Assertion -> Test
- hUnitTestToTests :: Test -> [Test]

# Documentation

testCase :: TestName -> Assertion -> Test #

Create a `Test` for a HUnit `Assertion`

hUnitTestToTests :: Test -> [Test] #

Adapt an existing HUnit test into a list of test-framework tests. This is useful when migrating your existing HUnit test suite to test-framework.